%define		pypi_name mutagen

Summary:	Audio tag tools
Name:		python-mutagen
Version:	1.47.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://mutagen.readthedocs.io/
Source0:	https://github.com/quodlibet/mutagen/archive/release-%{version}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildArch:	noarch

%description
Mutagen is an audio metadata tag reader and writer implemented in pure Python 3.
It supports reading ID3v1.1, ID3v2.2, ID3v2.3, ID3v2.4, APEv2, and FLAC, and
writing ID3v1.1, ID3v2.4, APEv2, and FLAC.

The goals are (in rough order of importance):
    * Read as many files as possible
    * Compatibility with as many other tag readers and editors as possible
    * Compliance with the relevant specifications
    * Written in Pythonic Python, with a Pythonic API
    * Unit and regression test suite
    * Provide access to all features of the supported formats
    * Easily extensible

%package -n python3-%{pypi_name}
Summary:        Audio tag tools
Group:		Sound/Utilities
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(flake8)
BuildRequires:	python3dist(hypothesis)
BuildRequires:	python3dist(pytest)
Obsoletes:	python2-%{pypi_name} < 1.42.0-4
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Mutagen is an audio metadata tag reader and writer implemented in pure Python.
It supports reading ID3v1.1, ID3v2.2, ID3v2.3, ID3v2.4, APEv2, and FLAC, and
writing ID3v1.1, ID3v2.4, APEv2, and FLAC.

The goals are (in rough order of importance):
    * Read as many files as possible
    * Compatibility with as many other tag readers and editors as possible
    * Compliance with the relevant specifications
    * Written in Pythonic Python, with a Pythonic API
    * Unit and regression test suite
    * Provide access to all features of the supported formats
    * Easily extensible

%prep
%autosetup -n %{pypi_name}-release-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mutagen

%check
export LANG=en_US.UTF-8
export LC_ALL=en_US.UTF-8
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc NEWS README.rst
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Tue Dec 12 2023 papoteur <papoteur> 1.47.0-2.mga10
+ Revision: 2017667
- rebuild for python 3.12

* Sun Sep 03 2023 kekepower <kekepower> 1.47.0-1.mga10
+ Revision: 1983815
- Update to version 1.47.0

* Sun Oct 09 2022 kekepower <kekepower> 1.46.0-1.mga9
+ Revision: 1895870
- Update to version 1.46.0

* Sun Mar 27 2022 umeabot <umeabot> 1.45.1-4.mga9
+ Revision: 1829117
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 joequant <joequant> 1.45.1-3.mga9
+ Revision: 1777898
- update for python 3.10

* Mon Mar 15 2021 wally <wally> 1.45.1-2.mga9
+ Revision: 1703069
- rebuild for python 3.8

* Fri Jul 31 2020 kekepower <kekepower> 1.45.1-1.mga8
+ Revision: 1610042
- Update to version 1.45.1

* Sun Jul 12 2020 kekepower <kekepower> 1.45.0-1.mga8
+ Revision: 1605694
- Update to version 1.45.0

* Thu Feb 20 2020 kekepower <kekepower> 1.44.0-1.mga8
+ Revision: 1546967
- Update to version 1.44.0

* Tue Feb 18 2020 umeabot <umeabot> 1.43.0-2.mga8
+ Revision: 1540275
- Mageia 8 Mass Rebuild

* Sun Dec 15 2019 kekepower <kekepower> 1.43.0-1.mga8
+ Revision: 1467613
- Update to version 1.43.0

* Sun Sep 15 2019 daviddavid <daviddavid> 1.42.0-6.mga8
+ Revision: 1441593
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 1.42.0-5.mga8
+ Revision: 1435694
- obsolete old python2 binaries

* Fri Aug 30 2019 wally <wally> 1.42.0-4.mga8
+ Revision: 1435693
- drop python2 support
- add patch to fix test failure

* Sat Mar 02 2019 wally <wally> 1.42.0-3.mga7
+ Revision: 1371115
- move mutagen obsoletes to python2 pkg

* Fri Jan 11 2019 kekepower <kekepower> 1.42.0-2.mga7
+ Revision: 1355008
- Rebuild with Python 3.7

* Mon Jan 07 2019 kekepower <kekepower> 1.42.0-1.mga7
+ Revision: 1351167
- Update to version 1.42.0

* Thu Sep 20 2018 umeabot <umeabot> 1.41.1-2.mga7
+ Revision: 1289215
- Mageia 7 Mass Rebuild

* Sat Aug 11 2018 kekepower <kekepower> 1.41.1-1.mga7
+ Revision: 1251075
- Update to version 1.41.1

* Sun Apr 22 2018 daviddavid <daviddavid> 1.40.0-2.mga7
+ Revision: 1221087
- fix conflicting manpages provided by both pkgs

* Fri Mar 09 2018 kekepower <kekepower> 1.40.0-1.mga7
+ Revision: 1207591
- Disable py2 test for now
- Move the py3 binaries to {name}-3
- Complete rename of mutagen to python[2,3]-mutagen
- Rename project to python-mutagen
- Update to version 1.40.0
- Build python2 and python3 packages
- Obsolete the old mutagen package

* Thu Jan 25 2018 daviddavid <daviddavid> 1.39-2.mga7
+ Revision: 1197158
- use new python macros

* Wed Jan 24 2018 kekepower <kekepower> 1.39-1.mga7
+ Revision: 1196811
- Update to version 1.39
- Now using Python3
- Project has moved to Github, URL and Source updated
- Added missing BR

* Mon May 09 2016 luigiwalser <luigiwalser> 1.32-1.mga6
+ Revision: 1011795
- 1.32

* Tue Dec 29 2015 luigiwalser <luigiwalser> 1.31-2.mga6
+ Revision: 916807
- BR locales-en to be able to run test suite in utf-8

* Fri Dec 25 2015 luigiwalser <luigiwalser> 1.31-1.mga6
+ Revision: 914532
- 1.31

* Wed Oct 21 2015 daviddavid <daviddavid> 1.24-5.mga6
+ Revision: 893631
- remove empty lang files to fix build with latest rpm
- use new python2 macros

* Wed Oct 15 2014 umeabot <umeabot> 1.24-4.mga5
+ Revision: 742629
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.24-3.mga5
+ Revision: 727392
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.24-2.mga5
+ Revision: 682706
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 1.24-1.mga5
+ Revision: 670118
- 1.24
- 1.23
- 1.22
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.21-3.mga4
+ Revision: 542735
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.21-2.mga4
+ Revision: 497906
- Rebuild to add different pythonegg provides for python 2 and 3
+ dams <dams>
- clean specfile

* Sun Jun 02 2013 colin <colin> 1.21-1.mga4
+ Revision: 434875
- New version: 1.21

* Sat Jan 12 2013 umeabot <umeabot> 1.20-5.mga3
+ Revision: 360532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 1.20-4.mga3
+ Revision: 324507
- update RPM group

* Mon Jan 24 2011 ahmad <ahmad> 1.20-3.mga1
+ Revision: 35856
- replace %%py_requires -d, with BR python-devel
- reenable checks, they worked in my test build
- imported package mutagen

